For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
  • Gift Processing
      • GETList Properties
      • GETGet a Property
      • GETList Property Options
      • POSTAssign a Property
LogoLogo
Contact usLogin
Gift ProcessingProperties

List Properties

GET
/v1/properties
GET
/v1/properties
$curl https://api.givechariot.com/v1/properties \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "property_01j8rs605a4gctmbm58d87mvsj",
5 "name": "Donation Purpose",
6 "resource_type": "donation",
7 "property_type": "text",
8 "options": [
9 {
10 "id": "string",
11 "name": "string",
12 "description": "string"
13 }
14 ],
15 "total_option_count": 1
16 }
17 ],
18 "next_page_token": "string"
19}
List properties for your account.
Was this page helpful?
Previous

Get a Property

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.
resource_typeenumOptional
The type of the resource that the properties are associated with.
Allowed values:

Response

The response for Properties.list
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error